IEX(1)

NAME
iex - The Elixir shell

SYNOPSIS
iex [OPTIONS]

DESCRIPTION
The interactive shell is used for evaluation, debugging and introspection of the Elixir runtime system. It is also possible to use the program for testing the work of small pieces of code escaping the stage of saving the code in a file.

OPTIONS
Note that many of the options mentioned here were borrowed from the Erlang shell, therefore erl(1) can be used as an additional source of information on the options.
{COMMON}

--dot-iex file
    Loads the specified file instead of .iex.exs (see the FILES section).

--remsh node
    Connects to the specified node which was started with the --sname or --name options (see above).

--  Separates the options passed to the compiler from the options passed to the executed code.

NOTES
The following options can be given more than once: --boot-var, --erl-config, --eval, --rpc-eval.

ENVIRONMENT

ELIXIR_ERL_OPTIONS
    Allows passing parameters to the Erlang runtime.

FILES

~/.erlang.cookie
    Stores the magic cookie value which is used only when it wasn't specified via the option --cookie (see above). If the file doesn't exist when a node starts, it will be created.

.iex.exs
    After iex starts, it seeks the file .iex.exs and, in a case of success, executes the code from the file in the context of the shell. At first the search starts in the current working directory; then, if necessary, it continues in the home directory.

SEE ALSO
elixir(1), elixirc(1), mix(1)

AUTHOR

Elixir is maintained by The Elixir Team.

This manual page was contributed by Evgeny Golyshev.

Copyright (c) 2012 Plataformatec.

Copyright (c) 2021 The Elixir Team.

INTERNET RESOURCES

Main website: https://elixir-lang.org

Documentation: https://elixir-lang.org/docs.html